import R from "./request";
import P from "./process";
import { IAdminLogin, ICreateCourseRequest, IgetVodRequest } from "./dto";

/**
 * 腾讯vod媒资
 */
export const getVod = (p: IgetVodRequest) =>
  R.post("/api/vod/media/select", { ...p }).then((d: any) => P.getVod(d.data));

export const createCourse = (p: ICreateCourseRequest) =>
  R.post("/api/course/create", { ...p });

export const adminLogin = (p: IAdminLogin) =>
  R.post("/api/admin/user/auth", { ...p });
